Bug 541668 - Merge Review: perl-XML-XPath - XPath parser and evaluator for Perl
Merge Review: perl-XML-XPath - XPath parser and evaluator for Perl
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-26 12:06 EST by Marcela Mašláňová
Modified: 2009-12-10 07:28 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-10 07:28:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Marcela Mašláňová 2009-11-26 12:06:16 EST
SRPM: http://mmaslano.fedorapeople.org/MergeReview/perl-XML-XPath-1.13-9.fc13.src.rpm
Spec: http://mmaslano.fedorapeople.org/MergeReview/perl-XML-XPath.spec
Description: XPath parser and evaluator for Perl
Comment 1 Parag AN(पराग) 2009-11-27 04:32:55 EST
I wonder how can this package got missed at time of FC-6 when all core packages submitted for their merge-reviews.
Comment 2 Parag AN(पराग) 2009-12-09 01:50:26 EST
Review:
+ package builds in mock (rawhide i686).
koji Build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=1863888
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url (sha1sum)
72a8e7a71f5d0b46e004adfbc5c5dbf59affd03c  XML-XPath-1.13.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ license is open source-compatible.
+ %doc is present.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=35, Tests=187,  4 wallclock secs ( 0.02 usr  0.02 sys +  3.16 cusr  0.52 csys =  3.72 CPU)
+ Package perl-XML-XPath-1.13-9.fc13.noarch =>
Provides: perl(XML::XPath) = 1.13 perl(XML::XPath::Boolean) perl(XML::XPath::Builder) perl(XML::XPath::Expr) perl(XML::XPath::Function) perl(XML::XPath::Literal) perl(XML::XPath::LocationPath) perl(XML::XPath::Node) perl(XML::XPath::Node::Attribute) perl(XML::XPath::Node::AttributeImpl) perl(XML::XPath::Node::Comment) perl(XML::XPath::Node::CommentImpl) perl(XML::XPath::Node::Element) perl(XML::XPath::Node::ElementImpl) perl(XML::XPath::Node::Namespace) perl(XML::XPath::Node::NamespaceImpl) perl(XML::XPath::Node::PI) perl(XML::XPath::Node::PIImpl) perl(XML::XPath::Node::Text) perl(XML::XPath::Node::TextImpl) perl(XML::XPath::NodeImpl) perl(XML::XPath::NodeSet) perl(XML::XPath::Number) perl(XML::XPath::Parser) perl(XML::XPath::PerlSAX) perl(XML::XPath::Root) perl(XML::XPath::Step) perl(XML::XPath::Variable) perl(XML::XPath::XMLParser)

Requires: /usr/bin/perl perl(Carp) perl(Exporter) perl(IO::File) perl(XML::Parser) perl(XML::XPath) perl(XML::XPath::Boolean) perl(XML::XPath::Expr) perl(XML::XPath::Function) perl(XML::XPath::Literal) perl(XML::XPath::LocationPath) perl(XML::XPath::Node) perl(XML::XPath::Node::Attribute) perl(XML::XPath::Node::Comment) perl(XML::XPath::Node::Element) perl(XML::XPath::Node::Namespace) perl(XML::XPath::Node::PI) perl(XML::XPath::Node::Text) perl(XML::XPath::NodeSet) perl(XML::XPath::Number) perl(XML::XPath::Parser) perl(XML::XPath::Root) perl(XML::XPath::Step) perl(XML::XPath::Variable) perl(XML::XPath::XMLParser) perl(overload) perl(strict) perl(vars)

+ Not a GUI application

Suggestions:
1) Remove redundant BR
perl >= 1:5.6.1

2)Remove macros line
%{!?perl_vendorlib: %define perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)}



APPROVED.
Comment 3 Marcela Mašláňová 2009-12-10 07:28:02 EST
Thank you for your review. Your comments were fixed for rawhide and F-12.

Note You need to log in before you can comment on or make changes to this bug.